![kraken Post](https://user-images.githubusercontent.com/677114/101163298-6264ae80-366e-11eb-9151-f560d18c2ceb.png)

# [Kraken](https://openkraken.com/) [![pub package](https://img.shields.io/pub/v/kraken.svg)](https://pub.dev/packages/kraken) [![Integration Test WorkFlow](https://github.com/openkraken/kraken/actions/workflows/integration_test.yml/badge.svg?branch=main)](https://github.com/openkraken/kraken/actions/workflows/integration_test.yml)

## 💁 Have a try

1. Install Kraken CLI (macOS, Linux only currently)

    ```shell
    $ npm i @openkraken/cli -g
    ```

2. Open with kraken

    ```shell
    $ kraken run https://raw.githubusercontent.com/openkraken/kraken/master/kraken/example/assets/bundle.js
    ```

## 💌 Why kraken

* Quick development 🎉

  Compatibility with web standards means you don't have to change your stack.
  ```js
  const text = document.createTextNode('Hello World!');
  document.body.appendChild(text);
  ```

* Cross platform ⚛️

  [Seamless integration with Flutter](https://pub.dev/packages/kraken), supports web, mobile (iOS, Android) and desktop (MacOS, Linux, Windows).

* Fast performance 🚀

  Provide native-like performance such as navigation, animation and infinite list scrolling.

## Flutter version scope

Only flutter stable released version are fully tested.

| Kraken  | Flutter |
| ------------- | ------------- |
| >= 0.7.0 < 0.8.0 | 1.22.0 ~ 1.22.6 |
| >= 0.8.0 < 0.10.0  | 2.2.0 ~ 2.2.3 |
| >= 0.10.0 < 0.12.0 | 2.5.0 ~ 2.5.3 |


## 👏 Contributing [![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat-square)](https://makeapullrequest.com)

By contributing to Kraken, you agree that your contributions will be licensed under its Apache-2.0 License.

Read our [contributing guide](https://github.com/openkraken/kraken/blob/main/.github/CONTRIBUTING.md) and let's build a better kraken project together.

Thank you to all the people who already contributed to Kraken!

![CONTRIBUTORS](https://kraken.oss-cn-hangzhou.aliyuncs.com/CONTRIBUTORS.svg)

Copyright (c) 2019-present, The Kraken authors.

